Skip to main content
POST
/
companies
Create a company
curl --request POST \
  --url https://api.nateq.io/api/v1/companies \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "country": "<string>",
  "description": "<string>",
  "domain": "<string>",
  "industry": "<string>",
  "size": "<string>",
  "tagIds": [
    "<string>"
  ],
  "website": "<string>"
}
'
{
  "data": {
    "contactsCount": 123,
    "country": "<string>",
    "createdAt": "<string>",
    "description": "<string>",
    "domain": "<string>",
    "id": "<string>",
    "industry": "<string>",
    "name": "<string>",
    "organizationId": "<string>",
    "size": "<string>",
    "tags": [
      {
        "color": "<string>",
        "createdAt": "<string>",
        "displayName": "<string>",
        "id": "<string>",
        "name": "<string>",
        "organizationId": "<string>",
        "updatedAt": "<string>"
      }
    ],
    "updatedAt": "<string>",
    "website": "<string>"
  },
  "error": {
    "code": "<string>",
    "details": "<unknown>",
    "message": "<string>"
  },
  "message": "<string>",
  "meta": {
    "count": 123,
    "endCursor": "<string>",
    "hasNext": true,
    "hasPrevious": true,
    "limit": 123,
    "page": 123,
    "pageSize": 123,
    "pendingCount": 123,
    "startCursor": "<string>",
    "total": 123,
    "totalPages": 123
  },
  "success": true
}

Authorizations

Authorization
string
header
required

Your API key as a Bearer token: Authorization: Bearer tg_live_...

Body

application/json

Company to create

name
string
required
Maximum string length: 255
country
string
Maximum string length: 100
description
string
domain
string
Maximum string length: 255
industry
string
Maximum string length: 100
size
string
Maximum string length: 50
tagIds
string[]
website
string

Response

201 - application/json

Created

data
object
error
object
message
string
meta
object
success
boolean